| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Classes | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
cv::TrackerMIL Class Reference
Video Analysis » Object Tracking

The MIL algorithm trains a classifier in an online manner to separate the object from the background. More...

`#include <opencv2/video/tracking.hpp>`

Collaboration diagram for cv::TrackerMIL:

## Classes
struct | Params

## Public Member Functions
virtual | ~TrackerMIL () CV_OVERRIDE
Public Member Functions inherited from cv::Tracker
virtual | ~Tracker ()
virtual float | getTrackingScore ()
| Return tracking score.
virtual void | init (InputArray image, const Rect &boundingBox)=0
| Initialize the tracker with a known bounding box that surrounded the target.
virtual bool | update (InputArray image, Rect &boundingBox)=0
| Update the tracker, find the new most likely bounding box for the target.

## Static Public Member Functions
static Ptr< TrackerMIL > | create (const TrackerMIL::Params &parameters=TrackerMIL::Params())
| Create MIL tracker instance.

## Protected Member Functions
| TrackerMIL ()
Protected Member Functions inherited from cv::Tracker
| Tracker ()

## Detailed Description

The MIL algorithm trains a classifier in an online manner to separate the object from the background.

Multiple Instance Learning avoids the drift problem for a robust tracking. The implementation is based on [14] .

Original code can be found here http://vision.ucsd.edu/~bbabenko/project_miltrack.shtml

## Constructor & Destructor Documentation

## ◆ TrackerMIL()

cv::TrackerMIL::TrackerMIL | ( |  | ) |
| protected

## ◆ ~TrackerMIL()

virtual cv::TrackerMIL::~TrackerMIL | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ create()

static Ptr< TrackerMIL > cv::TrackerMIL::create | ( | const TrackerMIL::Params & | parameters = TrackerMIL::Params() | ) |
| static

Python:
| cv.TrackerMIL.create( | [, parameters] | ) -> | retval
| cv.TrackerMIL_create( | [, parameters] | ) -> | retval

Create MIL tracker instance.

Parameters

  parameters | MIL parameters TrackerMIL::Params

The documentation for this class was generated from the following file:

- opencv2/video/tracking.hpp